Diff for /wikisrc/users/kamil/qemu.mdwn between versions 1.5 and 1.7

version 1.5, 2019/02/13 05:49:21 version 1.7, 2019/02/13 05:53:54
Line 172  capstone       | capstone disassembler s Line 172  capstone       | capstone disassembler s
   
 More information on the porting process is available on The NetBSD blog:  More information on the porting process is available on The NetBSD blog:
   
 http://blog.netbsd.org/tnf/entry/the_hardware_assisted_virtualization_challenge  [http://blog.netbsd.org/tnf/entry/the_hardware_assisted_virtualization_challenge](http://blog.netbsd.org/tnf/entry/the_hardware_assisted_virtualization_challenge)
   
 A tutorial (outdated) by an early user of the support:  A tutorial (outdated) by an early user of the support:
   
 http://polprog.net/blog/netbsd-hax/  [http://polprog.net/blog/netbsd-hax/](http://polprog.net/blog/netbsd-hax/)
   
 NetBSD/amd64 is the only supported host of the package, but it shouldn't be difficult to expand it to Darwin, Windows and Linux if there would be users and maintainers for these OSes.  NetBSD/amd64 is the only supported host of the package, but it shouldn't be difficult to expand it to Darwin, Windows and Linux if there would be users and maintainers for these OSes.
   
Line 184  NetBSD as host version 8.0 and HEAD (8.9 Line 184  NetBSD as host version 8.0 and HEAD (8.9
   
 There is no longer need to keep a patched host kernel.  There is no longer need to keep a patched host kernel.
   
 There is need to keep at least a copy syssrc in /usr/src(/sys).  There is need to keep at least a copy of syssrc in /usr/src(/sys).
   
 Guests known to work:  Guests known to work:
   
  - NetBSD/amd64 8.99.3x (other variations untested)   * NetBSD/amd64 8.99.3x (other variations untested)
  - Windows 7 32-bit   * Windows 7 32-bit
  - FreeBSD 12 32-bit   * FreeBSD 12 32-bit
  - Linux (noapic boot)   * Linux (noapic boot)
  - Minix3 i386   * Minix3 i386
  - Plan9 (i386?)   * Plan9 (i386?)
  - FREEDOS   * FREEDOS
   
 Other OSes are either broken or untested.  Other OSes are either broken or untested.
   
Line 202  Usage: Line 202  Usage:
   
 1. Install emulators/haxm from pkgsrc  1. Install emulators/haxm from pkgsrc
 2. Install emulators/qemu 3.1.0nb5 or newer from pkgsrc  2. Install emulators/qemu 3.1.0nb5 or newer from pkgsrc
 3. Use auxiliary scripts for HAXM (superuser privileges needed):  3. Use auxiliary scripts for HAXM (superuser privileges needed)
   4. Append HAXM option to qemu (qemu --accel hax)
   
  - haxm-mknod     # creates /dev entries  Auxiliary scripts in the HAXM package:
  - haxm-modload   # insert the HAXM kernel module  
  - haxm-modunload # remove the HAXM module from kernel  
   
 Optionally grant access to the HAXM device nodes to user(s):   * haxm-mknod     # creates /dev entries
    * haxm-modload   # insert the HAXM kernel module
  - /dev/HAX   * haxm-modunload # remove the HAXM module from kernel
  - /dev/hax_vm/*  
  - /dev/hax_vm*/*  
   
 4. Append HAXM option to qemu  Optionally grant access to the HAXM device nodes to user(s):
   
 qemu --accel hax   * /dev/HAX
    * /dev/hax_vm/*
    * /dev/hax_vm*/*

Removed from v.1.5  
changed lines
  Added in v.1.7


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb